Activity log for bug #1445237

Date Who What changed Old value New value Message
2015-04-16 22:11:35 Bill Owen bug added bug
2015-04-17 04:52:14 Luis Pabón swiftonfile: assignee Prashanth Pai (ppai)
2015-04-17 05:28:34 Prashanth Pai swiftonfile: assignee Prashanth Pai (ppai) Bill Owen (billowen)
2015-04-20 12:50:08 OpenStack Infra swiftonfile: status New In Progress
2015-04-21 01:10:42 Bill Owen description SOF metadata update failed because object written from file interface was not writable by swift user. The error message did not report the permission denied error message in the exception. SOF metadata update failed because object written from file interface was not writable by swift user. The error message did not report the permission denied error message in the exception. To reproduce: 1. upload a file using object interface 2. from file interface, modify the file as non-swift user, as root for example 3. try to download the object from object interface, the download will file. The log message reports operating system error 13, rather than "Permission denied".
2015-07-07 09:54:30 OpenStack Infra swiftonfile: status In Progress Fix Committed